Bug Hunting Session
Bug 81598 - PDF: EPS images don't get exported when writing a PDF file if image is wider than 100% of text width
Summary: PDF: EPS images don't get exported when writing a PDF file if image is wider ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: Other All
: high critical
Assignee: Not Assigned
URL:
Whiteboard: target:4.4.0 target:4.3.1 target:4.2.7
Keywords: regression
Depends on:
Blocks: Images-EPS
  Show dependency treegraph
 
Reported: 2014-07-21 12:43 UTC by Gerry
Modified: 2017-10-21 22:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerry 2014-07-21 12:43:01 UTC
Bug 64161 on PDF export of EPS images seems to be not entirely fixed. I cross-checked a long document with multiple EPS files and I found two regressions over LO 4.1.x that are still related to that bug. For this, I open this new bug report.

Problem description: If an EPS graphic exceeds 100% (relative to text width), it is lost in PDF export. This is an regression over LO 4.1.4 where this was no problem. Attached is a sample .odt and .pdf file showing two pages with EPS graphics. On the first page a EPS graphic with 101% width which is entirely lost in the PDF export. The EPS graphic on the second page (100% width) has no problem.

Another related problem for which I opened a separate bug 81592: Severe regression of rendering quality of EPS graphics in 4.2.5 over 4.1.x. 

Attachments to this bug:
attachment 103178 [details] EPS-in-Writer-document-does-not-get-exported-in-L425.pdf
attachment 103179 [details] EPS-in-Writer-document-does-not-get-exported-in-L425.odt


LibreOffice
Version: 4.2.5.2
Build ID: 61cb170a04bb1f12e77c884eab9192be736ec5f5
Ubuntu 14.04 Gnome3 64-bit
Comment 1 tommy27 2014-07-21 19:40:47 UTC
confirmed under Win7x64 using 4.2.5.2 and 4.4.0.0.alpha0+
Build ID: b9dca968c6fd0ab5ca140c65b0e54d153cd34986
TinderBox: Win-x86@42, Branch:master, Time: 2014-07-18_22:51:20

picture is missing in 4.2.x
while in 4.4.x there's a light blue square in it's place
Comment 2 V Stuart Foote 2014-07-21 20:00:52 UTC
Also confirmed on Windows 7 sp1, 64-bit with
Version: 4.3.0.3
Build ID: 08ebe52789a201dd7d38ef653ef7a48925e7f9f7

no place holder, just the missing image in the exported PDF.
Comment 3 V Stuart Foote 2014-07-21 21:35:16 UTC
@Caolan, so expect this also is related to the conversion of the eps and its raster preview?
Comment 4 Commit Notification 2014-07-24 12:09:55 UTC
Armin Le Grand committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2ddfaf1f03135c10d33e0e99ebe8a56d3783d214

Resolves: fdo#81598 #i125300# enhanced handling of multiple ClipRegions...



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2014-07-24 12:29:08 UTC
nah, drawing later related, Fix in master now

https://gerrit.libreoffice.org/#/c/10504/ for 4-3
https://gerrit.libreoffice.org/#/c/10505/ for 4-2
Comment 6 Commit Notification 2014-07-24 12:46:03 UTC
Armin Le Grand committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=764fdb983d2fd0e24f56db987eba307ae5ae6eea&h=libreoffice-4-3

Resolves: fdo#81598 #i125300# enhanced handling of multiple ClipRegions...


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-07-24 12:47:52 UTC
Armin Le Grand committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=628b75715c99df9716ab487f1bb1cad0f086d7ea&h=libreoffice-4-2

Resolves: fdo#81598 #i125300# enhanced handling of multiple ClipRegions...


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.